io.undertow.util

## Interface ConduitFactory<C extends org.xnio.conduits.Conduit>

All Known Implementing Classes:
  HttpServerExchange.WrapperConduitFactory, HttpServerExchange.WrapperStreamSinkConduitFactory, ImmediateConduitFactory

    public interface ConduitFactory<C extends org.xnio.conduits.Conduit>

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`C` `create()` Create the channel instance.

### Method Detail

#### create

    C create()

Create the channel instance.

Returns:
  the channel instance